---
title: Delete Message | API Docs
---

DELETE

/api/partner/v2/chats/{chat\_id}/chat\_messages/{id}

Select code sample cURL (shell:curl)

```
const url = 'https://api.linqapp.com/api/partner/v2/chats/1/chat_messages/1';
const options = {
  method: 'DELETE',
  headers: {'X-LINQ-INTEGRATION-TOKEN': '<X-LINQ-INTEGRATION-TOKEN>'}
};


try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```
curl --request DELETE \
  --url https://api.linqapp.com/api/partner/v2/chats/1/chat_messages/1 \
  --header 'X-LINQ-INTEGRATION-TOKEN: <X-LINQ-INTEGRATION-TOKEN>'
```

- Production server api.linqapp.com/api/partner/v2/chats/{chat\_id}/chat\_messages/{id}

Deletes a message from the chat

## Authorizations

- **[ApiKeyAuth](/v2/api/#apikeyauth/index.md)**

## Parameters

### Path Parameters

**chat\_id**

required

integer

The chat ID

**id**

required

integer

The message ID

## Responses

### 200

Message deleted successfully

Media type application/json

object

**message**

string

##### Example

```
{
  "message": "Chat message deleted successfully"
}
```
